use strictures 1;
use Test::More;
use File::Path;
use aliased 'App::Commentry::CommentStore';
use aliased 'App::Commentry::Comment';

my $store = CommentStore->new(base_dir => 't/var/exstore');

is_deeply(
  [ $store->get({ path => 'not/there' })->flatten ],
  [], 'Nonexistent set is empty'
);

is_deeply(
  [ $store->get({ path => 'one/two/three' })->flatten ],
  [ map Comment->new({ title => "Title $_", body => "Body $_" }), 1, 2 ],
  'Existing set loads ok'
);

my $create = { title => 'Created title', body => 'Created body' };

is_deeply(
  $store->get({ path => 'create/new' })->add($create),
  my $new = Comment->new($create),
  'Create new ok'
);

$store->clear_cache;

is_deeply(
  [ $store->get({ path => 'create/new' })->flatten ],
  [ $new ],
  'Reload ok'
);

rmtree('t/var/exstore/create');

done_testing;
